Package com.independentsoft.office.odf.styles

# Class ParagraphStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.BaseStyle
com.independentsoft.office.odf.styles.ParagraphStyle

public class ParagraphStyle extends BaseStyle
Represents a style for paragraph.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `className, dataStyle, enableAutoUpdate, family, linkedStyleName, listStyle, masterPageName, nextStyle, outlineLevelEmpty, outlineNumberingLevel, parentStyle, styleMappings`

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParagraphStyle()`
  Initializes a new instance of the ParagraphStyle class.
  `ParagraphStyle​(String name)`
  Initializes a new instance of the ParagraphStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParagraphStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `ParagraphProperties`
  `getParagraphProperties()`
  Specifies formatting properties for paragraph.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `toString()`
  Converts the value of the current ParagraphStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.BaseStyle

  `getClassName, getDataStyle, getFamily, getListStyle, getMasterPageName, getNextStyle, getOutlineNumberingLevel, getParentStyle, getStyleMappings, isEnableAutoUpdate, setClassName, setDataStyle, setEnableAutoUpdate, setListStyle, setMasterPageName, setNextStyle, setOutlineNumberingLevel, setParentStyle, toString`

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ParagraphStyle

    public ParagraphStyle()
    Initializes a new instance of the ParagraphStyle class.

  - ### ParagraphStyle

    public ParagraphStyle​(String name)
    Initializes a new instance of the ParagraphStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public ParagraphStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `BaseStyle`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ParagraphStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `BaseStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Specifies formatting properties for paragraph.
    Returns:
      the paragraph properties